Corrupt Tif - created by Clip Raster by Extent

2018-07-18 03:11 AM - stuart mcdougall

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27268

Description

Using QGIS 3.2.0 I have tried to extract a small area of raster to be imported into autocad. The tif file generated by Clip Raser by Extent

loads up fine in QGIS but will be corrupted or white in in application outside of QGIS.

This process worked fine in 2.18 but it was also possible to edit the gdal script generated by this tool if something wasn't working. The

gdal script looks to add '-ot Float32' as standard now

History

#1 - 2018-07-18 10:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

In Processing you can expand the "advanced parameters" section and select a different output TIFF types (byte, int, float, etc.).

Please try and report back.

#2 - 2018-08-02 05:36 AM - stuart mcdougall

thanks for the help, I have tested and AutoCad is only happy when the Tiff file is exported with an output data type set to Byte

#3 - 2018-08-02 11:08 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
